2

I tried:

sudo apt-get install subversion

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package subversion is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package 'subversion' has no installation candidate

I need a command line version for supporting builds which were developed under Ubuntu 14.xx and use svn.

4
  • 1
    The subversion package does exist for 16.04 as shown on this search of the package lists packages.ubuntu.com/… perhaps try sudo apt-get update before the install command.
    – Arronical
    Feb 21 '17 at 16:55
  • 1
    Please execute sudo apt update and then post the output of apt-cache policy subversion Feb 21 '17 at 16:56
  • Please edit your post to include the output of lsb_release -a
    – Elder Geek
    Feb 21 '17 at 19:20
  • Yes! The 'sudo apt-get update' before getting subversion fixes the problem. Thanks! Feb 21 '17 at 22:49
7
sudo add-apt-repository universe
sudo apt update
sudo apt install subversion

Works on Ubuntu Server 18.04.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.